# Generated by Django 4.1.10 on 2024-01-09 08:21

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("elections", "0004_alter_electionsfaqpage_options"),
    ]

    operations = [
        migrations.AddField(
            model_name="electionsfaqpage",
            name="all_topics_name",
            field=models.CharField(
                default="všechna témata",
                help_text="např. 'všechna témata'",
                max_length=32,
                verbose_name="Nadpis štítku pro všechna témata",
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="electionsfaqpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "person_answers",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "section_name",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Otevřenost a transparentnost'",
                                        label="Název sekce",
                                    ),
                                ),
                                (
                                    "topic",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'téma Markéty Gregorové'",
                                        label="Téma",
                                    ),
                                ),
                                (
                                    "person_page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka kandidáta",
                                        page_type=["elections.ElectionsCandidatePage"],
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                        label="Obrázek",
                                        required=False,
                                    ),
                                ),
                                (
                                    "questions",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "question",
                                                    wagtail.blocks.CharBlock(
                                                        label="Otázka"
                                                    ),
                                                ),
                                                (
                                                    "answer",
                                                    wagtail.blocks.TextBlock(
                                                        label="Odpověď"
                                                    ),
                                                ),
                                            ],
                                            label="Odpověď",
                                        ),
                                        label="Otázky",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Obsah",
            ),
        ),
    ]
